Get the system reporting settings
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ReportingSettingResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| costReportingUnitTaskGUId | For internal use only. The task GUID of cost reporting unit post processing, only set when the cost reporting unit is changed in the Edit Reporting Settings API. | string (uuid) | ||||||||||||
| costUnit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
| energyUnit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
| floorAreaUnit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
| monthsToExcludeFromCharts | Months to exclude from charts, including the current month. Ex. If the current month is October, A value of 0 will not exclude any months, A value of 1 will exclude the month of October, A value of 2 will exclude October and September, A value of 3 will exclude October, September, and August, A value of 13 will exclude October and the last full year of data. | integer (int32) | ||||||||||||
Example Response
{ "costReportingUnitTaskGUId": "string", "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "energyUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "floorAreaUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "monthsToExcludeFromCharts": 1
}